### Method

# GIRepository TypeInfo is_pointer

since: 2.80

#### Declaration

    gboolean
    gi_type_info_is_pointer (
      GITypeInfo* info
    )

#### Description

Obtain if the type is passed as a reference.

Note that the types of `GI_DIRECTION_OUT` and `GI_DIRECTION_INOUT` parameters will only be pointers if the underlying type being transferred is a pointer (i.e. only if the type of the C function’s formal parameter is a pointer to a pointer).

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if it is a pointer.